Kerbal Space Program - Bug #9720

Fairing detaches before launch
05/12/2016 08:30 PM - chrowbech
Description

When ship is put into launchpad, there is a brief jiggle. During this, from time to time the fairing snaps off, falling to the ground.

History

#1 - 05/12/2016 09:35 PM - smjjames

Could you upload the craft file?

#2 - 05/13/2016 07:29 PM - chrowbech

- File Minmus Science Hopper.craft added

Sure thing. | wonder if it is the three different command modules (pod, rover and HECS) that mess with each other... It seems to happen just after the
ship is placed on the launch pad - there is a strange jiggle, where the navball spins very quickly for about 1 second, and then the part (fairing)
becomes disconnected to the Rockomax tank. Weird.

#3 - 05/13/2016 09:26 PM - smjjames
- Status changed from New to Confirmed

- % Done changed from 0 to 10

It doesn't always knock the fairing off for me, sometimes it just makes the docking ports between the rover and the labder craft fail. I've gotten it to
reproduce a little more reliably with the launch clamps removed. Theres no exceptions or errors that I'm seeing either.

Going to try and narrow down what is causing it to jolt. There [ijmay][/i] be a docking port bug involved here, not sure yet.

#4 - 05/13/2016 09:44 PM - smjjames
- File KSP.log added
- File output_log.txt added

I've gotten it narrowed down to some interaction between the landing legs and the fairing. When | (awkwardly) rotate them to point down, it doesn't
happen.

#5 - 07/17/2016 09:56 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#6 - 08/09/2016 03:06 AM - Perry_Apsis

- File KSP.log.zip added

- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

In clean Win x64 1.1.3 there is a sudden sideways jerk when the craft is loaded on the pad. It's actually the camera that jumps. It happens while the
camera is still panning down to the center of mass. If you look at the staging, you'll notice that the top (everything from the fairing base up) is now
detached from the rest of the ship. Found this in the log:
[LOG 22:57:54.364] Flight State Captured

[LOG 22:57:54.364] Saving Achievements Tree...

[LOG 22:57:54.365] Saving Achievements Tree...

[LOG 22:57:54.366] [MessageSystem] Save Messages
[LOG 22:57:54.428] Game State Saved as persistent
[LOG 22:57:55.410] Unpacking Minmus Science Hopper

[LOG 22:57:57.876] [F: 15393]: fuelTank3-2 collided into fairingSize2 - relative velocity: 8.12462 - impact momentum: 17.6

[LOG 22:57:57.878] fuelTank3-2 Exploded!! - blast awesomeness: 0.5
[LOG 22:57:57.880] [RCSBlock]: Deactivated

F3 shows no flight events until the popped top (which sometimes jumps quite violently and sometimes sits quite still) crashes into some other part of

the ship.

#7 - 08/09/2016 03:46 AM - Perry_Apsis

Okay, found the problem. When the craft loads, the wheels jerk downward, striking the inside of the fairing. Redrawing the fairing so there is more
room under the wheels eliminates the problem. You can recreate it by drawing the fairing up tight under the wheels and then flaring out suddenly so

that the fairing surface is directly under the wheels.

| don't know if the sudden extension of the wheels on vehicle load is already listed as a bug. If not, it probably should be. In addition, there should
probably be something in the flight log when the wheels strike the fairing hard enough to snap the fairing base off the fuel tank, or at least when the

fairing base gets snapped off.
Fairingfailure.png 1.19 MB 05/12/2016 chrowbech

Minmus Science Hopper.craft 380 KB 05/13/2016 chrowbech
